package edu.kit.ipd.descartes.adaptation.evaluation.performance.repository;

import org.eclipse.emf.ecore.EObject;

import edu.kit.ipd.descartes.perfdatarepo.Impact;
import edu.kit.ipd.descartes.perfdatarepo.Result;

public interface IPerformanceDataRepositoryHandler {
    
    public void load(String modelFileUri);
    
    public Impact getLatestImpact();

    public Result getCurrentSystemState();

    public EObject getRepository();

    /**
     * This is a helper function to overcome the problem that
     * there is no performance prediction connected right now.
     * Therefore we have to set the new system state manually.
     */
	public void setNewSystemState();
}
