package edu.kit.ipd.descartes.adaptation.evaluation.performance.weightingfunction;

import java.util.Random;

import edu.kit.ipd.descartes.mm.adaptation.WeightedTactic;
import edu.kit.ipd.descartes.mm.adaptation.WeightingFunction;

public class RandomWeightsWeightingFunction implements IWeightingFunction {

	@Override
	public double calculateWeight(WeightedTactic weightedTactic) {
		Random r = new Random(System.currentTimeMillis());
		return r.nextDouble();
	}

    @Override
    public void setWeightingFunction(WeightingFunction function) {
        // Left empty intentionally
    }
}
